Bug 1008908 - Rollback leaves files undeleted on Windows
Rollback leaves files undeleted on Windows
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Patching (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity urgent
: ER6
: EAP 6.2.0
Assigned To: Emanuel Muckenhuber
Jan Martiska
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 06:25 EDT by Jan Martiska
Modified: 2015-02-01 18:05 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:55:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Martiska 2013-09-17 06:25:43 EDT
When rolling back a patch on Windows, if some of its files are still used (eg. active modules), file locking prevents the rollback process to delete them. We need a solution probably cleaning up these files when the server is being restarted.
Comment 4 Jan Martiska 2013-10-29 07:43:17 EDT
Verified in ER6, thanks.

Note You need to log in before you can comment on or make changes to this bug.